AnsweredAssumed Answered

Is there a minimum requirement for Microsoft office for each Solidworks version?

Question asked by Jason Martin on Jan 16, 2019
Latest reply on Jun 27, 2019 by Matt Peneguy

Looking at the requirement page, SOLIDWORKS | Hardware & System Requirements | SOLIDWORKS , it says that for solidworks 2017, only 2010, 2013, & 2016 office is supported.

While I have 2017 solidworks and 2007 Office, it still works. I'm trying to see how much of a problem this would be if I Upgraded to solidworks 2018 and beyond.

Is there a minimum requirement for Office for each solidworks release? If I have to upgrade, I need a clear reasoning to justify the cost.

Outcomes